Security
Revoke a SCIM bearer token
DELETE /v1/directory/tokens/{id} · SDK revokeDirectoryToken · CLI deployments directory token revoke
DELETE
Requires members:write. A suspended organization can still call it.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512DirectoryResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedefaultRole*stringValue in
"member""viewer"scimBaseUrl*stringtokens*array<>updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X DELETE "https://example.com/v1/directory/tokens/string" \ -H "x-deployments-organization: string" \ -H "idempotency-key: string"{ "createdAt": "2019-08-24T14:15:22Z", "defaultRole": "member", "scimBaseUrl": "string", "tokens": [ { "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "id": "string", "tokenPrefix": "string" } ], "updatedAt": "2019-08-24T14:15:22Z"}